## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_with enc_x264
%bcond_with enc_x265
# Theses settings requires 64bit
%if 0%{?__isa_bits} == 64
%bcond_without dec_avcodec2
%bcond_without csc_swscale
%else
%bcond_with dec_avcodec2
%bcond_with csc_swscale
%endif

# For debugging only
%bcond_with debug
%if %{with debug}
%global _with_debug --with-debug
%endif
#

%global __js_jquery_latest %{_datadir}/javascript/jquery/latest/

# These are necessary as the _with_foo is *not* defined if the
# --with flag isn't specifed, and we need to have the --without
# specified option in that case.
%if %{without enc_x264}
%global _with_enc_x264 --without-enc_x264
%endif

%if %{with enc_x265}
%global _with_enc_x265 --with-enc_x265
%endif

%if %{without dec_avcodec2}
%global _with_dec_avcodec2 --without-dec_avcodec2
%endif

%if %{without csc_swscale}
%global _with_csc_swscale --without-csc_swscale
%endif

# Remove private provides from .so files in the python3_sitearch directory
%global __provides_exclude_from ^%{python3_sitearch}/.*\\.so$

# Note: cups-config not in buildroot during srpm build, so we use the
# conditional execution to silence erros during srpm build.
%if 0%{?_cups_serverbin:1}
%global cupslibdir %_cups_serverbin
%else
%global cupslibdir %(cups-config --serverbin 2> /dev/null || echo "/usr/lib/cups")
%endif

Name:           xpra
Version:        5.0.2
Release:        %autorelease
Summary:        Remote display server for applications and desktops
License:        GPLv2+ and BSD and LGPLv3+ and MIT
URL:            https://www.xpra.org/
Source0:        https://github.com/Xpra-org/xpra/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
# Appdata file for Fedora
Source1:        %{name}.appdata.xml
Patch1:         ignore_assert_pandoc.patch

BuildRequires:  python3-devel
BuildRequires:  gtk3-devel
BuildRequires:  libXtst-devel
BuildRequires:  libxkbfile-devel
BuildRequires:  lz4-devel
BuildRequires:  python3-Cython
BuildRequires:  ack
BuildRequires:  desktop-file-utils
BuildRequires:  libvpx-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXres-devel
BuildRequires:  cups-devel
BuildRequires:  python3-cups
BuildRequires:  redhat-rpm-config
BuildRequires:  python3-rpm-macros
BuildRequires:  gcc-c++
BuildRequires:  pam-devel
BuildRequires:  pandoc
# needs by setup.py to detect systemd `sd_listen_ENABLED = POSIX and pkg_config_ok("--exists", "libsystemd")`
BuildRequires:  systemd-devel
%if 0%{?fedora}
BuildRequires:  procps-ng-devel
%endif
BuildRequires:  pkgconfig(libavif)
BuildRequires:  pkgconfig(libqrencode)
BuildRequires:  libdrm-devel
BuildRequires:  pkgconfig(libwebp)
%if 0%{?el8}
#BuildRequires:  xorg-x11-server-Xvfb
#BuildRequires:  cairo-devel
BuildRequires:  pygobject3-devel
%else
BuildRequires:  python3-gobject-devel
%endif
BuildRequires:  libappstream-glib
BuildRequires:  python3-cairo-devel
BuildRequires:  xorg-x11-server-Xorg
BuildRequires:  xorg-x11-drv-dummy
BuildRequires:  xorg-x11-xauth
BuildRequires:  xkbcomp
BuildRequires:  setxkbmap
%if %{with debug}
BuildRequires: libasan
%endif

%if %{with enc_x264}
BuildRequires:  x264-devel
%endif
# While ffmpeg-devel should only be needed in theses conditions, setup.py requires it anyway
#if %%{with dec_avcodec2} || %%{with csc_swscale}
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswscale)
#endif

Requires: python3-pillow
Requires: python3-cups
Requires: python3-pyopengl
Requires: python3-gobject
Requires: python3-inotify
Requires: python3-lz4
Requires: python3-ldap3
Requires: python3-rencode
Requires: python3-netifaces
Requires: python3-dbus
Requires: python3-numpy
%if 0%{?fedora}
Requires: python3-zeroconf
%endif
Requires: dbus-x11
Requires: xmodmap
Requires: xrandr
Requires: xorg-x11-drv-dummy%{?_isa}
Requires: xorg-x11-xauth%{?_isa}
Requires: xorg-x11-server-Xorg%{?_isa}
Requires: gstreamer1%{?_isa}
Requires: gstreamer1-plugins-base%{?_isa}
Requires: gstreamer1-plugins-good%{?_isa}
%if 0%{?fedora} || 0%{?rhel} >= 9
Requires: pipewire%{?_isa}
Requires: pipewire-utils%{?_isa}
Requires: pipewire-pulseaudio%{?_isa}
%else
Requires: pulseaudio%{?_isa}
Requires: pulseaudio-utils%{?_isa}
%endif
Requires: cups-filesystem
Requires: shared-mime-info%{?_isa}
Requires: js-jquery

# python3-opencv is required for webcam forwarding support, client-side only.
# Available on Fedora only.
%{?fedora:Requires: python3-opencv}

# Needed to create the xpra group
Requires(pre):  shadow-utils

# xpra-html5 is now separately provided
Obsoletes: xpra-html5 < 0:4.1-1

Requires: systemd-udev%{?_isa}
Obsoletes: xpra-udev < %{version}-%{release}
Provides: xpra-udev = %{version}-%{release}

%description
Xpra is "screen for X": it allows you to run X programs, usually on a remote
host, direct their display to your local machine, and then to disconnect from
these programs and reconnect from the same or another machine, without losing
any state. It gives you remote access to individual applications.

Xpra is "rootless" or "seamless": programs you run under it show up on your
desktop as regular programs, managed by your regular window manager.
Sessions can be accessed over SSH, or password protected over plain TCP sockets.
Xpra is usable over reasonably slow links and does its best to adapt to changing
network bandwidth constraints.

%prep
%autosetup -p1 -n %{name}-%{version}

# cc1: error: unrecognized compiler option ‘-mfpmath=387’
%ifarch %{arm}
sed -i 's|-mfpmath=387|-mfloat-abi=hard|' setup.py
%endif

%build
%set_build_flags
%py3_build -- \
    --without-nvidia --without-pandoc_lua \
    --with-verbose \
    --with-vpx \
    %{?_with_enc_x264} \
    %{?_with_enc_x265} \
    %{?_with_dec_avcodec2} \
    %{?_with_csc_swscale} \
    %{?_with_debug} \
    --with-Xdummy \
    --with-Xdummy_wrapper \
    --without-strict \
    --with-enc_ffmpeg

%install
%py3_install

mkdir -p %{buildroot}%{_unitdir}
mv %{buildroot}/lib/systemd/system/xpra.*  %{buildroot}%{_unitdir}/

#move icon to proper directory
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps

mv %{buildroot}%{_datadir}/icons/xpra.png \
    %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/

rm -f %{buildroot}%{_datadir}/icons/xpra-mdns.png
install -pm 644 fs/share/icons/xpra-mdns.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

rm -f %{buildroot}%{_datadir}/icons/xpra-shadow.png
install -pm 644 fs/share/icons/xpra-shadow.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

#replace old file with horrible WindowsXP old image
rm -rf %{buildroot}%{_datadir}/appdata
mkdir -p %{buildroot}%{_metainfodir}
install -pm 644 %{SOURCE1} %{buildroot}%{_metainfodir}/

#Install nvenc.keys file
mkdir -p %{buildroot}%{_sysconfdir}/xpra
install -pm 644 fs/etc/xpra/nvenc.keys %{buildroot}%{_sysconfdir}/xpra

#remove doc stuff from /usr/share
rm %{buildroot}%{_datadir}/xpra/COPYING

#fix shebangs from python3_sitearch
for i in `ack -rl '^#!/.*python' %{buildroot}%{python3_sitearch}/xpra`; do
    %py3_shebang_fix $i
    chmod 0755 $i
done

#fix permissions on shared objects
find %{buildroot}%{python3_sitearch}/xpra -name '*.so' \
    -exec chmod 0755 {} \;

# delete any bundled SWFs - binary content forbidden by packaging
# guidelines
find %{buildroot}%{_datadir}/xpra -name '*.swf' -exec rm {} \;

# Create this directory for sharing sockets
mkdir -p %{buildroot}%{_rundir}/xpra

# Remove use of /usr/bin/enx on scripts
%py3_shebang_fix %{buildroot}%{cupslibdir}/backend/xpraforwarder
%py3_shebang_fix %{buildroot}%{_libexecdir}/xpra/auth_dialog
%py3_shebang_fix %{buildroot}%{_libexecdir}/xpra/xdg-open

for i in `find %{buildroot}%{_bindir} -perm /644 -type f \( -name "*" \)`; do
    chmod 0755 $i
done

# Remove Build documentation
rm -rf %{buildroot}%{_docdir}/xpra/Build

install -pm 644 README.md %{buildroot}%{_docdir}/xpra/

%check
%{?fedora:appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/xpra.appdata.xml}
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%pre
getent group xpra >/dev/null || groupadd -r xpra

%files
%license COPYING
%dir %{_sysconfdir}/xpra
%dir %{_sysconfdir}/xpra/conf.d
%config(noreplace) %{_sysconfdir}/xpra/*.conf
%config(noreplace) %{_sysconfdir}/xpra/nvenc.keys
%config(noreplace) %{_sysconfdir}/xpra/conf.d/*.conf
%config(noreplace) %{_sysconfdir}/X11/xorg.conf.d/90-xpra-virtual.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/xpra.conf
%config(noreplace) %{_sysconfdir}/sysconfig/xpra
%config(noreplace) %{_sysconfdir}/pam.d/xpra
%config(noreplace) %{_sysconfdir}/xpra/content-categories/10_default.conf
%config(noreplace) %{_sysconfdir}/xpra/content-parent/10_default.conf
%config(noreplace) %{_sysconfdir}/xpra/content-type/10_role.conf
%config(noreplace) %{_sysconfdir}/xpra/content-type/30_title.conf
%config(noreplace) %{_sysconfdir}/xpra/content-type/50_class.conf
%config(noreplace) %{_sysconfdir}/xpra/content-type/70_commands.conf
%config(noreplace) %{_sysconfdir}/xpra/http-headers/00_nocache.txt
%config(noreplace) %{_sysconfdir}/xpra/http-headers/10_content_security_policy.txt
%{_libexecdir}/xpra/
%{_bindir}/xpra
%{_bindir}/xpra_launcher
%{_bindir}/run_scaled
%{_sysusersdir}/*.conf
%{python3_sitearch}/xpra/
%{python3_sitearch}/*.egg-info
%{_datadir}/applications/xpra*.desktop
%{_datadir}/icons/hicolor/48x48/apps/xpra-mdns.png
%{_datadir}/icons/hicolor/48x48/apps/xpra-shadow.png
%{_datadir}/icons/hicolor/64x64/apps/xpra.png
%{_mandir}/man1/xpra.1.*
%{_mandir}/man1/xpra_*.1.*
%{_mandir}/man1/run_scaled.1.*
%{_metainfodir}/xpra.appdata.xml
%{_datadir}/mime/packages/application-x-xpraconfig.xml
%{_datadir}/xpra/
%{cupslibdir}/backend/xpraforwarder
%{_tmpfilesdir}/xpra.conf
%dir %{_rundir}/xpra
%{_docdir}/xpra
%{_unitdir}/xpra.service
%{_unitdir}/xpra.socket
%{_udevrulesdir}/71-xpra-virtual-pointer.rules

%changelog
* Sun Sep 24 2023 Sérgio M. Basto <sergio@serjux.com> - 5.0.2-2
- Move ffmpeg plugin to Fedora

* Tue Sep 19 2023 Antonio Trande <sagitter@fedoraproject.org> - 5.0.2-1
- Release 5.0.2

* Sat Sep 02 2023 Antonio Trande <sagitter@fedoraproject.org> - 5.0.1-2
- Add python3-cups BR

* Sat Sep 02 2023 Antonio Trande <sagitter@fedoraproject.org> - 5.0.1-1
- Release 5.0.1

* Sun Aug 27 2023 Antonio Trande <sagitter@fedoraproject.org> - 5.0-1
- Release 5.0

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 26 2023 Python Maint <python-maint@redhat.com> - 4.4.6-2
- Rebuilt for Python 3.12

* Tue Jun 20 2023 Antonio Trande <sagitter@fedoraproject.org> - 4.4.6-1
- Release 4.4.6

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 4.4.5-3
- Rebuilt for Python 3.12

* Wed May 31 2023 Sérgio M. Basto <sergio@serjux.com> - 4.4.5-2
- Rebuild for procps-ng-4.x.x

* Sat May 27 2023 Antonio Trande <sagitter@fedoraproject.org> - 4.4.5-1
- Release 4.4.5

* Mon May 22 2023 Sérgio M. Basto <sergio@serjux.com> - 4.4.4-2
- Fix epel 8 and 9 builds , no python3-zeroconf on epel and use pipewire on
  el9

* Mon Mar 13 2023 Sérgio M. Basto <sergio@serjux.com> - 4.4.4-1
- Update xpra to 4.4.4 (#2177195)

* Mon Mar 13 2023 Sérgio M. Basto <sergio@serjux.com> - 4.4.3-10
- Add python3-zeroconf to requires, we need to see if it iwe choose be just

* Wed Feb 15 2023 Tom Callaway <spot@fedoraproject.org> - 4.4.3-9
- rebuild for libvpx

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 18 2023 Sérgio M. Basto <sergio@serjux.com> - 4.4.3-7
- Fix epel builds, seems upstream sort out py3cairo hack on el8

* Sun Jan 15 2023 Sérgio M. Basto <sergio@serjux.com> - 4.4.3-6
- Add unitdir, we may have unitdir but by default disabled, preset just
  enable service by default which understandably was not approved.

* Fri Jan 06 2023 Sérgio M. Basto <sergio@serjux.com> - 4.4.3-5
- sync xpra

* Mon Jan 02 2023 Sérgio M. Basto <sergio@serjux.com> - 4.4.3-4
- sync and fix the way of the patch is applied

* Thu Dec 08 2022 Antonio Trande <sagitter@fedoraproject.org> - 4.4.3-3
- Release 4.4.3| Patched for bug #3693

* Thu Dec 08 2022 Antonio Trande <sagitter@fedoraproject.org> - 4.4.3-2
- Release 4.4.3| Disable CUDA rebuilds

* Thu Dec 08 2022 Antonio Trande <sagitter@fedoraproject.org> - 4.4.3-1
- Release 4.4.3

* Sun Nov 13 2022 Antonio Trande <sagitter@fedoraproject.org> - 4.4.2-1
- Release 4.4.2

* Tue Nov 01 2022 Lumir Balhar <lbalhar@redhat.com> - 4.4.1-2
- Change location of pathfix.py

* Mon Oct 24 2022 Antonio Trande <sagitter@fedoraproject.org> - 4.4.1-1
- Release 4.4.1

* Sat Oct 01 2022 Antonio Trande <sagitter@fedoraproject.org> - 4.4-1
- Release 4.4

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jun 26 2022 Antonio Trande <sagitter@fedoraproject.org> - 4.3.4-1
- Release 4.3.4

* Sat May 07 2022 Antonio Trande <sagitter@fedoraproject.org> - 4.3.3-1
- Release 4.3.3

* Sun Feb 20 2022 Sérgio M. Basto <sergio@serjux.com> - 4.3.2-3
- minor clean up

* Wed Feb 16 2022 Sérgio M. Basto <sergio@serjux.com> - 4.3.2-1
- Update xpra to 4.3.2

* Thu Jan 27 2022 Tom spot Callaway <spot@fedoraproject.org> - 4.3.1-3
- rebuild for libvpx

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Antonio Trande <sagitter@fedoraproject.org> - 4.3.1-1
- Release 4.3.1

* Sat Dec 18 2021 Antonio Trande <sagitter@fedoraproject.org> - 4.3-1
- Release 4.3

* Wed Oct 06 2021 Antonio Trande <sagitter@fedoraproject.org> - 4.2.3-1
- Release 4.2.3

* Thu Aug 12 2021 Antonio Trande <sagitter@fedoraproject.org> - 4.2.2-1
- Release 4.2.2

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 11 2021 Antonio Trande <sagitter@fedoraproject.org> - 4.2.1-1
- Release 4.2.1

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 4.2-3
- Rebuilt for Python 3.10

* Sat May 22 2021 Antonio Trande <sagitter@fedoraproject.org> - 4.2-2
- Release 4.2| Include xpra.rpmlintrc

* Sat May 22 2021 Antonio Trande <sagitter@fedoraproject.org> - 4.2-1
- Release 4.2

* Sun May 16 2021 Antonio Trande <sagitter@fedoraproject.org> - 4.1.3-3
- Switch from pulseaudio to pipewire (rhbz#1960903) /2

* Sun May 16 2021 Antonio Trande <sagitter@fedoraproject.org> - 4.1.3-2
- Switch from pulseaudio to pipewire (rhbz#1960903)

* Wed Apr 21 2021 Antonio <sagitter@localhost.localdomain> - 4.1.3-1
- Release 4.1.3

* Tue Apr 06 2021 Antonio Trande <sagitter@fedoraproject.org> - 4.1.2-1
- Release 4.1.2

* Sun Mar 07 2021 Antonio Trande <3974791-anto.trande@users.noreply.gitlab.com> - 4.1.1-1
- Release 4.1.1

* Wed Mar 03 2021 Antonio Trande <3974791-anto.trande@users.noreply.gitlab.com> - 4.1-2
- Fix epel8 builds

* Tue Mar 02 2021 Antonio Trande <3974791-anto.trande@users.noreply.gitlab.com> - 4.1-1
- Release 4.1

* Thu Jan 28 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 14 2021 Antonio T <sagitter@fedoraproject.org> - 4.0.6-3
- Fix rhbz#1916026

* Thu Dec 31 2020 Antonio T <sagitter@fedoraproject.org> - 4.0.6-2
- Release 4.0.6| Load source code archive

* Thu Dec 31 2020 Antonio T <sagitter@fedoraproject.org> - 4.0.6-1
- Release 4.0.6

* Wed Nov 18 2020 Antonio T <sagitter@fedoraproject.org> - 4.0.5-2
- Fix BR packages for epel8

* Wed Nov 18 2020 Antonio T <sagitter@fedoraproject.org> - 4.0.5-1
- Release 4.0.5

* Mon Sep 28 2020 sagitter <sagitter@fedoraproject.org> - 4.0.4-1
- Release 4.0.4

* Sat Aug 08 2020 sagitter <sagitter@fedoraproject.org> - 4.0.3-1
- Release 4.0.3

* Wed Aug 05 2020 sagitter <sagitter@fedoraproject.org> - 4.0.2-5
- Requires xmodmap xrandr without %%%%?_isa wrapper (rhbz#1864529)

* Tue Jul 28 2020 Adam Jackson <ajax@redhat.com> - 4.0.2-4
- Requires xmodmap xrandr, not xorg-x11-server-utils

* Thu Jul 16 2020 sagitter <sagitter@fedoraproject.org> - 4.0.2-3
- Add MPLv2.0 LICENSE file for HTML5 version

* Thu Jul 16 2020 sagitter <sagitter@fedoraproject.org> - 4.0.2-2
- Built on EPEL8| Drop (obsolete) python-websockify dependency

* Fri Jun 05 2020 sagitter <sagitter@fedoraproject.org> - 4.0.2-1
- Release 4.0.2

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 4.0.1-2
- Rebuilt for Python 3.9

* Sun May 17 2020 sagitter <sagitter@fedoraproject.org> - 4.0.1-1
- Release 4.0.1

* Fri May 15 2020 sagitter <sagitter@fedoraproject.org> - 4.0-2
- Remove uglify-js

* Sun May 10 2020 sagitter <sagitter@fedoraproject.org> - 4.0-1
- Release 4.0

* Tue Apr 14 2020 sagitter <sagitter@fedoraproject.org> - 3.0.9-1
- Release 3.0.9

* Thu Apr 02 2020 sagitter <sagitter@fedoraproject.org> - 3.0.8-1
- Release 3.0.8

* Sat Mar 14 2020 sagitter <sagitter@fedoraproject.org> - 3.0.7-2
- Add PAM support (rhbz#1812903)

* Sat Mar 14 2020 sagitter <sagitter@fedoraproject.org> - 3.0.7-1
- Release 3.0.7

* Wed Feb 12 2020 sagitter <sagitter@fedoraproject.org> - 3.0.6-2
- Fix symlinks to js-jquery (rhbz#1801878)

* Sat Feb 08 2020 sagitter <sagitter@fedoraproject.org> - 3.0.6-1
- Release 3.0.6

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 10 2020 sagitter <sagitter@fedoraproject.org> - 3.0.5-4
- Use %%%%global

* Fri Jan 10 2020 sagitter <sagitter@fedoraproject.org> - 3.0.5-3
- Modify macros

* Fri Jan 10 2020 sagitter <sagitter@fedoraproject.org> - 3.0.5-2
- Re-organize build options

* Fri Jan 10 2020 sagitter <sagitter@fedoraproject.org> - 3.0.5-1
- Release 3.0.5

* Thu Dec 12 2019 sagitter <sagitter@fedoraproject.org> - 3.0.3-1
- Release 3.0.3

* Tue Nov 05 2019 sagitter <sagitter@fedoraproject.org> - 3.0.2-3
- Remove unrecognized compiler flag on ARM

* Tue Nov 05 2019 sagitter <sagitter@fedoraproject.org> - 3.0.2-2
- Add xpra.rpmlintrc

* Tue Nov 05 2019 sagitter <sagitter@fedoraproject.org> - 3.0.2-1
- Release 3.0.2

* Sat Nov 02 2019 Sérgio M. Basto <sergio@serjux.com> - 3.0.1-5
- Use %%{_sysusersdir} to fix rpmlint E: hardcoded-library-path

* Fri Nov 01 2019 sagitter <sagitter@fedoraproject.org> - 3.0.1-4
- Add xpra.rpmlintrc

* Fri Nov 01 2019 sagitter <sagitter@fedoraproject.org> - 3.0.1-3
- Create /run/xpra (rhbz#1381005)

* Mon Oct 28 2019 sagitter <sagitter@fedoraproject.org> - 3.0.1-2
- Push appdata file again

* Mon Oct 28 2019 sagitter <sagitter@fedoraproject.org> - 3.0.1-1
- Release 3.0.1

* Wed Oct 02 2019 sagitter <sagitter@fedoraproject.org> - 3.0-2
- Modify appdata file

* Wed Oct 02 2019 sagitter <sagitter@fedoraproject.org> - 3.0-1
- Release 3.0

* Tue Sep 24 2019 Sérgio M. Basto <sergio@serjux.com> - 2.5.3-4
- BR: the new python3-gobject-devel instead pygobject3-devel (#1749589)

* Fri Sep 06 2019 Sérgio M. Basto <sergio@serjux.com> - 2.5.3-3
- Remove BR: pygtk2-devel and Requires: pygtkglext (#1738465)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 2.5.3-2
- Rebuilt for Python 3.8

* Thu Jul 25 2019 sagitter <sagitter@fedoraproject.org> - 2.5.3-1
- Release to 2.5.3| Switch to Python3 definitively

* Sat Jun 08 2019 sagitter <sagitter@fedoraproject.org> - 2.5.2-1
- Release to 2.5.2

* Thu Apr 18 2019 sagitter <sagitter@fedoraproject.org> - 2.5.1-2
- Fix source directory

* Thu Apr 18 2019 sagitter <sagitter@fedoraproject.org> - 2.5.1-1
- Release to 2.5.1

* Wed Mar 20 2019 sagitter <sagitter@fedoraproject.org> - 2.5.0-1
- Release to 2.5.0

* Wed Feb 13 2019 Miro Hrončok <miro@hroncok.cz> - 2.4.3-4
- https://fedoraproject.org/wiki/Changes/Python_Extension_Flags

* Tue Feb 05 2019 Björn Esser <besser82@fedoraproject.org> - 2.4.3-3
- rebuilt (libvpx)

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jan 17 2019 sagitter <sagitter@fedoraproject.org> - 2.4.3-1
- Update to 2.4.3

* Mon Nov 26 2018 sagitter <sagitter@fedoraproject.org> - 2.4.2-2
- Add inotify dependency (rhbz#1653096)

* Sat Nov 24 2018 sagitter <sagitter@fedoraproject.org> - 2.4.2-1
- Release 2.4.2

* Wed Oct 31 2018 sagitter <sagitter@fedoraproject.org> - 2.4.1-2
- Add Python Cairo library BR

* Wed Oct 31 2018 sagitter <sagitter@fedoraproject.org> - 2.4.1-1
- Update to 2.4.1

* Tue Oct 16 2018 sagitter <sagitter@fedoraproject.org> - 2.4-1
- Update to 2.4

* Tue Sep 25 2018 sagitter <sagitter@fedoraproject.org> - 2.3.4-1
- Update to 2.3.4

* Mon Aug 20 2018 sagitter <sagitter@fedoraproject.org> - 2.3.3-1
- Update to 2.3.3

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jul 06 2018 sagitter <sagitter@fedoraproject.org> - 2.3.2-3
- SPEC file modified for EPEL7

* Mon Jul 02 2018 Miro Hrončok <miro@hroncok.cz> - 2.3.2-2
- Rebuilt for Python 3.7

* Wed Jun 27 2018 sagitter <sagitter@fedoraproject.org> - 2.3.2-1
- Update to 2.3.2

* Mon Jun 25 2018 sagitter <sagitter@fedoraproject.org> - 2.3.1-4
- Switch back to Python2 (see xpra.org/trac/ticket/1885) (bz#1583319)

* Sat Jun 23 2018 sagitter <sagitter@fedoraproject.org> - 2.3.1-3
- Use --without-strict option

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 2.3.1-2
- Rebuilt for Python 3.7

* Wed May 30 2018 sagitter <sagitter@fedoraproject.org> - 2.3.1-1
- Update to 2.3.1

* Thu May 10 2018 sagitter <sagitter@fedoraproject.org> - 2.3-1
- Update to 2.3

* Tue Apr 03 2018 sagitter <sagitter@fedoraproject.org> - 2.2.6-1
- Update to 2.2.6

* Wed Mar 07 2018 sagitter <sagitter@fedoraproject.org> - 2.2.5-1
- Update to 2.2.5

* Thu Feb 22 2018 sagitter <sagitter@fedoraproject.org> - 2.2.4-2
- Add gcc BR

* Fri Feb 09 2018 sagitter <sagitter@fedoraproject.org> - 2.2.4-1
- Update to 2.2.4

* Sun Jan 28 2018 sagitter <sagitter@fedoraproject.org> - 2.2.3-5
- Rebuild for libvpx again

* Sat Jan 27 2018 Tom Callaway <spot@fedoraproject.org> - 2.2.3-4
- rebuild for new libvpx

* Thu Jan 25 2018 sagitter <sagitter@fedoraproject.org> - 2.2.3-3
- Still require python-gobject on fedora < 27

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.2.3-2
- Remove obsolete scriptlets

* Thu Jan 18 2018 sagitter <sagitter@fedoraproject.org> - 2.2.3-1
- Update to 2.2.3

* Wed Jan 17 2018 sagitter <sagitter@fedoraproject.org> - 2.2.2-2
- Fix python2-gobject as Requires package

* Wed Jan 17 2018 sagitter <sagitter@fedoraproject.org> - 2.2.2-1
- Update to 2.2.2

* Thu Dec 21 2017 sagitter <sagitter@fedoraproject.org> - 2.2.1-2
- Remove unused directory

* Thu Dec 21 2017 sagitter <sagitter@fedoraproject.org> - 2.2.1-1
- Update to 2.2.1

* Wed Dec 13 2017 sagitter <sagitter@fedoraproject.org> - 2.2-2
- Fix dependency

* Tue Dec 12 2017 sagitter <sagitter@fedoraproject.org> - 2.2-1
- Update to 2.2

* Thu Oct 26 2017 sagitter <sagitter@fedoraproject.org> - 2.1.3-1
- Update to 2.1.3

* Mon Sep 18 2017 sagitter <sagitter@fedoraproject.org> - 2.1.2-1
- Update to 2.1.2

* Sat Aug 19 2017 sagitter <sagitter@fedoraproject.org> - 2.1.1-2
- Fix Requires

* Sat Aug 19 2017 sagitter <sagitter@fedoraproject.org> - 2.1.1-1
- Update to 2.1.1

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 sagitter <sagitter@fedoraproject.org> - 2.1-2
- Fix Python2 shebang

* Wed Jul 26 2017 sagitter <sagitter@fedoraproject.org> - 2.1-1
- Update to 2.1 (bz#1475316)

* Tue Jul 04 2017 sagitter <sagitter@fedoraproject.org> - 2.0.3-1
- Update to 2.0.3

* Tue May 09 2017 sagitter <sagitter@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2

* Mon Feb 06 2017 Orion Poplawski <orion@cora.nwra.com> - 1.0.2-1
- Update to 1.0.2 Drop webp import patch applied upstream

* Sat Dec 10 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 1.0-3
- Disable webp by default, consistent with upstream

* Sat Dec 10 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 1.0-2
- Add xpra-1.0-webp-encode-fix-import.patch

* Sat Dec 10 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 1.0-1
- Update to version 1.0
- No longer unbundle javascript libs - shipped versions in html4 client
  newer than packaged
- Enumerate all bundled js Provides properly
- Improve commentary of Werror patch
- Include all new conf files in pakcage
- Include systemd serice and add BR for systemd

* Tue Nov 08 2016 Orion Poplawski <orion@cora.nwra.com> - 0.17.6-1
- Update to 0.17.6
- Fix build on EPEL7
- Use %%license

* Sun Oct 02 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.17.5-5
- Fixup spec changelog

* Sun Oct 02 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.17.5-4
- Use %%{_tmpfilesdir} macro

* Sun Oct 02 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.17.5-3
- Use %%_cups_serverbin if defined

* Sat Oct 01 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.17.5-2
- Clean up some rpmlint errors

* Sun Sep 11 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.17.5-1
- Update to 0.17.5

* Sun Jul 31 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.17.4-1
- Update to 0.17.4

* Fri Jul 22 2016 Tom Callaway <spot@fedoraproject.org> - 0.16.3-5
- rebuild for libvpx 1.6.0

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.3-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Thu Apr 14 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.3-3
- Fix deps for F22

* Thu Apr 14 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.3-2
- Correctly enable use of shared sockets with the xpra group
- Require(pre) for shadow-utils
- Create xpra group during %%pre
- Create and ghost own %%{_localstatedir}/run/lightdm/

* Thu Mar 24 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.3-1
- Update to 0.16.3

* Mon Feb 29 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.2-11
- Bump version

* Mon Feb 29 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.2-10
- Properly enable opencl support on Fedora 23 Change PyOpenGL requires to
  python2-opengl on f24 and higher

* Sun Feb 28 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.2-9
- More dep cleanup

* Sun Feb 28 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.2-8
- Update dependencies

* Mon Feb 22 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.2-7
- Fixup redirection in cupslibdir definition

* Mon Feb 22 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.2-6
- Fix cupslibdir macro to not spew errors during SRPM build

* Fri Feb 19 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.2-5
- Move icon files back into main package

* Fri Feb 19 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.2-4
- Drop xpra-0.16.2-move-to-var-run.patch - broken

* Fri Feb 19 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.2-3
- Use XDG_RUNTIME_DIR for socket and logs (BZ 1309872).  No longer move the
  run script to /var/run - breaks other clients

* Fri Feb 19 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.2-2
- Add pyopencl Suggests for F23

* Fri Feb 19 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.2-1
- Uodate to 0.16.2 (BZ 1301357), fix a number of deps:
- Replace gstreamer Requires with gstreamer1 Requires (BZ 1309811)
- Require python-gobject (BZ 1309811)
- No longer Require gstreamer-python (BZ 1309811)
- Require xorg-x11-xauth (BZ 1309804)
- Require dbus-x11 (BZ 1309827)

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.1-2
- Split html5 support out into subpackage

* Tue Jan 26 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.1-1
- Update to 0.16.1

* Thu Jan 07 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.0-3
- Re-add ~/.xpra to socket-dirs for backwards compatibility as second

* Thu Jan 07 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.0-2
- Add patch to Move sockets, log files, script files from ~/.xpra to

* Thu Jan 07 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.16.0-1
- Update to 0.16.0

* Tue Dec 29 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.10-2
- Rebuild for libwebp 0.5.0

* Sat Dec 19 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.10-1
- Update to 0.15.10

* Wed Dec 02 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.9-1
- Update to 0.15.9

* Tue Dec 01 2015 Tom Callaway <spot@fedoraproject.org> - 0.15.8-4
- rebuild for libvpx 1.5.0

* Mon Nov 30 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.8-3
- Add csc_opencl support for Fedora 24 and later

* Mon Nov 30 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.8-2
- Use same options for build and install

* Sat Nov 14 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.8-1
- Update to 0.15.8. Fix typo in spec file

* Wed Oct 14 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.7-1
- Update to 0.15.7

* Wed Sep 16 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.6-1
- Update to 0.15.6

* Sat Sep 05 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.5-2
- Add 0.15.5 source tarball

* Wed Sep 02 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.5-1
- Update to 0.15.5 Drop patches related to color encoding

* Fri Aug 21 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.4-5
- Remove xpra-r10393.patch and add xpra-r10396.patch and xpra-r10399.patch
  as second attempt to fix the color encoding issues

* Fri Aug 21 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.4-4
- No longer revert r9983, but include xpra-r10393.patch to fix the color
  encoding

* Wed Aug 05 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.4-3
- Fix bogus date in spec changelog

* Wed Aug 05 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.4-2
- Add patch to revert upstream commit r9983 which breaks color encodding

* Tue Aug 04 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.4-1
- Update to 0.15.4 Add missing release tag to previous rpm changelog entry

* Tue Jul 14 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.3-1
- Update to 0.15.3 Remove xpra-0.15.2-9768.patch Add BuildRequires for
  redhat-lsb-core to make lsb_release available at build time (used to
  detect system type) Add --with-Xdummy and --with-Xdummy_wrapper to
  install options to ensure Xdummy is used

* Thu Jul 02 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.2-2
- Add small fix from upsteam (rev 9768)

* Thu Jul 02 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.2-1
- Update to 0.15.2 Add Requires for python-lz4 and python-cups

* Mon Jun 22 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.1-1
- Update to 0.15.1 Add Requires shared-mime-info for
  (/usr/share/mime/packages ownership) Add
  /usr/share/mime/packages/application-x-xpraconfig.xml file

* Fri Jun 19 2015 Dennis Gilmore <dennis@ausil.us> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 04 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.0-2
- Remove extraneous second definition of cupslibdir

* Mon Jun 01 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.15.0-1
- Update to 0.15.0 Add BuildRequires for cups-devel and Requires for cups-
  filesystem Replace mention of avcodec with avcodec2 Drop xpra-unbundle-
  rencode.patch, and no longer patch to use system rencode Drop
  xpra-0.14-stop-using-void-driver.patch Drop
  xpra-0.14.22-fedora22-xorg.patch

* Thu May 28 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.14.24-3
- Really update sources and .gitignore for 0.14.24

* Thu May 28 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.14.24-2
- Update sources for 0.14.24

* Wed May 27 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.14.24-1
- Update to 0.14.24 Remove Requires for xorg-x11-server-Xvfb Remove
  upstreamed appdata patch

* Tue May 26 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.14.22-5
- Add patch to correctly locate Xorg binary in Fedora 22 onwards (BZ
  1224678)

* Tue Apr 28 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.14.22-4
- Patch appdata file to have more information and proper paragraph ending
  period so validation works

* Mon Apr 27 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.14.22-3
- Remove Requires for xorg-x11-drv-void

* Mon Apr 27 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.14.22-2
- Validate and own /usr/share/appdata/xpra.appdata.xml

* Mon Apr 27 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.14.22-1
- Update to 0.14.22

* Mon Apr 27 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.14.21-3
- Add patch to remove reference to the xorg void driver in xorg.conf (BZ
  #1215527)

* Mon Apr 06 2015 Tom Callaway <spot@fedoraproject.org> - 0.14.21-2
- rebuild for libvpx 1.4.0

* Wed Mar 25 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.14.21-1
- Initial check in of package
